> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get influential training data

> Retrieve influential QA pair training data for a specific model.



## OpenAPI

````yaml get /v1/flow/explain/models/{model_id}/influential-finetuning-data
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.99.0
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/explain/models/{model_id}/influential-finetuning-data:
    get:
      tags:
        - Fine-tuning
      summary: Get influential training data
      description: Retrieve influential QA pair training data for a specific model.
      operationId: >-
        get_influential_training_data_route_v1_flow_explain_models__model_id__influential_finetuning_data_get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
        - name: question
          in: query
          required: true
          schema:
            type: string
            title: Question
        - name: system_prompt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: System Prompt
        - name: answer
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Answer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfluentialFinetuningDataResponse'
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InfluentialFinetuningDataResponse:
      properties:
        answer:
          type: string
          title: Answer
          description: The answer from the model or provided by the user
        results:
          items:
            $ref: '#/components/schemas/QuestionAnswerPair'
          type: array
          title: Results
          description: List of influential training data results
        version:
          type: string
          title: Version
          description: Version of the explainability service
      type: object
      required:
        - answer
        - results
        - version
      title: InfluentialFinetuningDataResponse
      description: Response model for influential training data
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuestionAnswerPair:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the QA pair
        file_id:
          type: string
          title: File Id
          description: ID of the source file
        influence_level:
          $ref: '#/components/schemas/InfluenceLevel'
          description: Level of influence this QA pair has (high, medium, low, irrelevant)
        messages:
          type: string
          title: Messages
          description: The question-answer content
      type: object
      required:
        - id
        - file_id
        - influence_level
        - messages
      title: QuestionAnswerPair
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InfluenceLevel:
      type: string
      enum:
        - high
        - medium
        - low
        - irrelevant
      title: InfluenceLevel
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your Seekr API key, sent in the Authorization header with no 'Bearer'
        prefix.
      in: header
      name: Authorization

````